* unchar *ltoc(long num,unchar *buff)
* buff : H/L,H/L
*         H   L

	.xdef	_ltoc
_ltoc:
	movem.l	4(sp),d0/a0
	move.l	a0,d1
	btst.l	#0,d1
	bne	odd
	* 偶数アドレス = 直接書き込める
	move.l	d0,(a0)+
	move.l	a0,d0
	rts
odd:	* 奇数アドレス = 分割書き込み
	move.b	d0,3(a0)	* L.L
	lsr.l	#8,d0
	move.w	d0,1(a0)	* H.L/L.H
	swap	d0
	move.b	d0,(a0)		* H.H
	addq.w	#4,a0		* next point
	move.l	a0,d0
	rts
